Subject: bug#22230: 25.1.50; Emacs doesn't understand (some) SVG images

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Dec 2015 17:57:44 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 27 Dec 2015 08:02:06 +0100
> Cc: [email-masked]
> 
> Stephen Berman <[email-masked]> writes:
> 
> > I know nothing about either SVG images or ImageMagick, but both Zack
> > Piper's suggestion to try converting to PNG and experimentation with the
> > image source show that the problem is indeed ImageMagick, specifically,
> > it appears not to process the `fill' attribute value "currentColor":
> > after changing the value to e.g. "blue" or "red" or removing the
> > attribute-value pair altogether, then ImageMagick (and hence also Emacs
> > built with ImageMagick support) displays the image.
> 
> I guess this should be reported to the ImageMagick people, but I'm
> unable to find their bugtracker or mailing list...  Anybody?

I don't think this is an ImageMagick problem, because I see the same
issue in an Emacs compiled without ImageMagick (but with librsvg).  So
I'm guessing that this is some bug or missing feature in librsvg.